package org.nakedobjects.example.expenses.currency;

import org.nakedobjects.applib.AbstractDomainObject;
import org.nakedobjects.applib.annotation.Bounded;
import org.nakedobjects.applib.annotation.Immutable;
import org.nakedobjects.applib.annotation.When;


@Bounded
@Immutable(When.ONCE_PERSISTED)
public class Currency extends AbstractDomainObject {

    private String currencyCode;
    private String currencyName;
    private String currencyCountry;

    public String getCurrencyCode() {
        resolve(currencyCode);
        return currencyCode;
    }

    public void setCurrencyCode(String currencyCode) {
        this.currencyCode = currencyCode;
    }

    public String getCurrencyCountry() {
        resolve(currencyCountry);
        return currencyCountry;
    }

    public void setCurrencyCountry(String currencyCountry) {
        this.currencyCountry = currencyCountry;
    }

    public String getCurrencyName() {
        resolve(currencyName);
        return currencyName;
    }

    public void setCurrencyName(String currencyName) {
        this.currencyName = currencyName;
    }

    public String toString() {
        return currencyCode;
    }

}
